\version "2.11.0"
\header{
  title="Холода"
  poet="В.Павлинов"
  composer="А.Васин"
  tagline=""
}

%Буквенные обозначения, принятые в континентальной Европе:
%H --- си, B --- си-бемоль.
\include "deutsch.ly"

% Ajust size
%(set-global-staff-size 20.0)

% установка размера бумаги - полезно для одностраничного pdf
% #(set! paper-alist (cons '("my size" . (cons (* 210 mm) (* 297 mm))) paper-alist)) % это обычный A4
#(set! paper-alist (cons '("my size" . (cons (* 210 mm) (* 222 mm))) paper-alist)) % урезал высоту чтобы убрать пустое поле

\paper {
  #(set-paper-size "my size")
}

global = {
  \key e \minor
  \time 4/4
  \tempo 4 = 100
}

voiceOne = \new Voice = "one" { \relative c'' {
  r4 h, e fis
  g e fis e8 \( \melisma dis \) \melismaEnd
  e1~
  e4 e a h
  c2~ c4 c8 \( \melisma d\) \melismaEnd
  h1~
  h4 \break e, a h
  \repeat volta 2 { c1~
  c4 c h a
  g1~
  g4 fis \times 2/3 { fis \( \melisma g\) \melismaEnd a }
  g2 fis
  e1~ }
  \alternative {
    { e4 h' a h }
    { e,1 }
  }
}}

voiceTwo = \new Voice = "two" { \relative c'' {
  r4 h, e fis
  g e fis e8 \( \melisma dis \) \melismaEnd
  e1~
  e4 e a h
  c2~ c4 c8 \( \melisma d\) \melismaEnd
  h1~
  h4 e, a h
  \repeat volta 2 { a1~
  a4 a g fis
  e1~
  e4 fis \times 2/3 { fis \( \melisma e\) \melismaEnd fis }
  e2 dis
  e1~ }
  \alternative {
    { e4 h' a h }
    { e,1 }
  }
}}

verses = \new Lyrics \lyricsto "one" {
  К_пе -- чи по -- лень -- я под -- не -- си,
  о -- ладь -- и за -- ме -- си.
  Тре -- щат мо -- ро -- зы на Ру -- си,
  мо -- ро -- зы на Ру -- си. Тре -- щат мо -- си.
}

Chords = \new ChordNames \chordmode {
  % Обозначения аккордов, принятые в континентальной Европе
  \germanChords
  e1.:m h2:7 | e1:m | r |
  | a2:m d2:7 | g f | e1:7 |
  a1.:m  h2:7 | c1 | a:m |
  e2:m h:7 | c1 | e:7 | e:m |
}

\score{
  \new StaffGroup <<
    \Chords
    \new Staff
    <<
      \global
      \voiceOne
      \verses
    >>

    \new Staff
    <<
      \global
      \voiceTwo
    >>
  >>
  \layout{
    \context {
      \Score
      \remove "Bar_number_engraver"
    }
  }
}
\score{
  \unfoldRepeats {
    \new StaffGroup <<
      \new Staff
      <<
        \set Staff.midiInstrument = "flute"
        \global
        \voiceOne
        \verses
      >>

      \new Staff
      <<
        \set Staff.midiInstrument = "flute"
        \global
        \voiceTwo
      >>
    >>
  }
  \midi{}
}

\markup {
  \hspace #4
  \override #'(font-size . +1) % так можно изменить размер шрифта
  \column {
    "К печи поленья поднеси,"
    "Оладьи замеси."
    "Трещат морозы на Руси,"
    "Морозы на Руси."
    \vspace #1
    "Ах, мама, ты едва жива -"
    "Не стой на холоду..."
    "Какая долгая зима"
    "В сорок втором году!"
    \vspace #1
    "Дымятся снежные холмы,"
    "И ночи нет конца."
    "Эвакуированы мы, -"
    "И нет у нас отца."
    \vspace #1
    "Забыл я дом арбатский наш,"
    "Тепло и тишину."
    "Я брал двухцветный карандаш"
    "И рисовал войну."
  }
  \hspace #6
  \override #'(font-size . +1) % так можно изменить размер шрифта
  \column {
    "Шли танки красные вперед,"
    "Под ливнем красных стрел"
    "Вниз падал черный самолет"
    "И черный танк горел."
    \vspace #1
    "Лютей и снежнее зимы"
    "Не будет никогда, -"
    "Эвакуированы мы"
    "Из жизни навсегда."
    \vspace #1
    "Ах, мама... Ты едва жива,"
    "Не стой на холоду..."
    "Какая долгая зима"
    "В сорок втором году."
  }
}
